import request from '@/utils/request'


// 新增（提交）市政工程
export function submitMunicipalData(param) {
	return request({
		'url': '/zdsz/engineeringIndustry',
		'method': 'post',
		'data': param
	})
}
// 获取房间工程历史
export function getRoomProjectList(id,type) {

	return request({
		'url': '/zdsz/engineeringCivil/'+id+'/'+type,
		'method': 'get',
	})
}
// 查询房间是否有工程
export function getRoomProjectId(room) {

	return request({
		'url': '/zdsz/engineeringCivil/query',
		'method': 'post',
		'data': room
	})
}
// 材质规格下拉
export function getEnginSpecificationsList(materId) {
	const data = {
		materId
	}
	return request({
		'url': '/zdsz/enginSpecifications/getEnginSpecificationsList',
		'method': 'get',
		'data': data
	})
}

// 工程材质下拉
export function getEnginMaterialQualityList(enginType) {
	const data = {
		enginType
	}
	return request({
		'url': '/zdsz/enginMaterialQuality/getEnginMaterialQualityList',
		'method': 'get',
		'data': data
	})
}
// 新增拆旧管
export function addTearOldPipe(param) {
	return request({
		'url': '/zdsz/engineeringCivil',
		'method': 'post',
		'data': param
	})
}

// 获取小区字典值
export function getAreaList(district) {
	const data = {
		district
	}
	return request({
		'url': '/zdsz/area/getAreaList',
		'method': 'get',
		'data': data
	})
}
// 获取楼宇字典值
export function getBuildingList(areaId) {
	const data = {
		areaId
	}
	return request({
		'url': '/zdsz/building/getBuildingList',
		'method': 'get',
		'data': data
	})
}
// 获取单元字典值
export function getUnitList(buildingId) {
	const data = {
		buildingId
	}
	return request({
		'url': '/zdsz/unit/getUnitList',
		'method': 'get',
		'data': data
	})
}
// 获取房间字典值
export function getHousesList(unitId) {
	const data = {
		unitId
	}
	return request({
		'url': '/zdsz/house/getHousesList',
		'method': 'get',
		'data': data
	})
}